SSL_SESSION_GET_COMPRESS_ID(3)

NAME
SSL_SESSION_get_compress_id - get details about the compression associated with a session

SYNOPSIS
#include <openssl/ssl.h>
unsigned int
SSL_SESSION_get_compress_id(const SSL_SESSION *s);

DESCRIPTION
If compression has been negotiated for an ssl session, SSL_SESSION_get_compress_id() returns the id for the compression method, or 0 otherwise. The only built-in supported compression method is zlib, which has an id of 1.

SEE ALSO
ssl(3), SSL_get_session(3), SSL_SESSION_get_id(3), SSL_SESSION_get_protocol_version(3), SSL_SESSION_new(3)

HISTORY
SSL_SESSION_get_compress_id() first appeared in OpenSSL 1.0.1 and has been available since OpenBSD 5.3.